# Overview
This repository contains the open source code for [Bouncer Web CardScan](https://www.getbouncer.com).

[CardScan](https://getbouncer.com/scan) is a relatively small library that provides fast and accurate payment card scanning and authenticity verification.

[![Lint](https://github.com/getbouncer/cardscan-web/actions/workflows/lint.yml/badge.svg)](https://github.com/getbouncer/cardscan-web/actions/workflows/lint.yml)
[![Unit Tests](https://github.com/getbouncer/cardscan-web/actions/workflows/test.yml/badge.svg)](https://github.com/getbouncer/cardscan-web/actions/workflows/test.yml)
[![Release](https://github.com/getbouncer/cardscan-web/actions/workflows/release.yml/badge.svg)](https://github.com/getbouncer/cardscan-web/actions/workflows/release.yml)
[![GitHub release](https://img.shields.io/github/release/getbouncer/cardscan-web.svg?maxAge=60)](https://github.com/getbouncer/cardscan-web/releases)

![demo](docs/images/demo.gif)

# TEMPORARILY SHUT DOWN

Bouncer has been acquired by Stripe! As a result, this library will be non-functional while we transition our network endpoints to Stripe infrastructure. We expect to have the transition completed by the end of Q3 2021.

## Requirements
* TensorFlowJS script tag
* Bouncer SDK script tag

## Demo
This repository contains a demonstration app for the CardScan product. To build and run the demo app, follow the instructions in the [demo documentation](https://docs.getbouncer.com/bouncer-scan/credit-card-ocr/web-integration-guide#demo).

## Integration
See the [integration documentation](https://docs.getbouncer.com/bouncer-scan/credit-card-ocr/web-integration-guide) in the Bouncer Docs.

### Provisioning an API key
CardScan requires a valid API key to run. To provision an API key, visit the [Bouncer API console](https://api.getbouncer.com/console).

## Localization
Bouncer CardScan can be easily localized. See the [localization documentation](https://docs.getbouncer.com/bouncer-scan/credit-card-ocr/web-integration-guide#localization) for more information.

## Authors
Adam Wushensky, Sam King, and Zain ul Abi Din

## License
This library is available under paid and free licenses. See the [LICENSE](LICENSE) file for the full license text.

### Quick summary
In short, this library will remain free forever for non-commercial applications, but use by commercial applications is limited to 90 days, after which time a licensing agreement is required. We're also adding some legal liability protections.

After this period commercial applications need to convert to a licensing agreement to continue to use this library.
* Details of licensing (pricing, etc) are available at [https://cardscan.io/pricing](https://getbouncer.com/pricing), or you can contact us at [license@getbouncer.com](mailto:license@getbouncer.com).

### More detailed summary
What's allowed under the license:
* Free use for any app for 90 days (for demos, evaluations, hackathons, etc).
* Contributions (contributors must agree to the [Contributor License Agreement](Contributor%20License%20Agreement))
* Any modifications as needed to work in your app

What's not allowed under the license:
* Commercial applications using the license for longer than 90 days without a license agreement. 
* Using us now in a commercial app today? No worries! Just email [license@getbouncer.com](mailto:license@getbouncer.com) and we’ll get you set up.
* Redistribution under a different license
* Removing attribution
* Modifying logos
* Indemnification: using this free software is ‘at your own risk’, so you can’t sue Bouncer Technologies, Inc. for problems caused by this library

Questions? Concerns? Please email us at [license@getbouncer.com](mailto:license@getbouncer.com) or ask us on [slack](https://getbouncer.slack.com).
